#ifndef _NET_H_INCLUDED
#define _NET_H_INCLUDED

#define SOCKBUFLEN 128

typedef struct {
	uint8_t buffer[SOCKBUFLEN];
	int sockfd;
	int pending;
} sockbuf_t;

sockbuf_t *init_network(char *host, int port);
int sock_read(sockbuf_t *sock);
int sock_read_string(sockbuf_t *sock, char *line, size_t maxsize);
int sock_read_number(sockbuf_t *sock);
char *sock_read_string_dynamic(sockbuf_t *sock);

#endif
