#ifndef _PACKAGE_H_INCLUDED
#define _PACKAGE_H_INCLUDED

#include "util.h"
#include "map.h"

typedef struct {
	int id;
	int dx;
	int dy;
	int x;
	int y;
	int weight;
	int distance;
	int lastpick;
} package_t;

void package_init(void);
void package_new(int id, int dx, int dy, int x, int y, int weight);
void package_move(int id, int x, int y);
package_t *package_get(int);

static inline int package_weight(int pkgid)
{
	return package_get(pkgid)->weight;
}

#endif
